import gtk
import os
class Brand(gtk.HBox):
	def __init__(self):
		gtk.HBox.__init__(self)
		heybuddy_dir = os.path.dirname( os.path.realpath( __file__ ) )
		default_icon_path = os.path.join(heybuddy_dir,"assets","icon.png")
		#we are not homogenous
		self.set_homogeneous(False)
		image = gtk.Image()
		image.set_from_file(default_icon_path)
		self.pack_start(image,False,False,0)
		vbox = gtk.VBox(False)
		app_label = gtk.Label()
		app_label.set_markup("<b>Heybuddy</b>")
		vbox.pack_start(app_label,False,False,0)
		cp_label = gtk.Label("copyright 2010 Jezra Lickter")
		vbox.pack_start(cp_label,False,False,0)
		url_label = gtk.Label()
		url = "http://www.jezra.net/projects/heybuddy"
		if gtk.gtk_version[0]>=2 and gtk.gtk_version[1]>10:
			url_label.set_markup("<a href='%(url)s'>%(url)s</a>" % {'url':url})
		else:
			url_label.set_text(url)
		vbox.pack_start(url_label,False,False,0)
		
		self.pack_start(vbox,False,False,0)
		
		
