import gtk
try:
	import hildon
	has_hildon = True
except:
	has_hildon = False
	
class DentButton(gtk.Button):
	def __init__(self,string):
		gtk.Button.__init__(self)
		#add a "reply" button
		self.set_relief(gtk.RELIEF_HALF)
		button_label = gtk.Label()
		if not has_hildon:
			markup="<span size='x-small' weight='bold'>%s</span>" % (string)
		else:
			markup = string
		button_label.set_markup(markup)
		self.add(button_label)
	
