import ConfigParser
import os.path
class Configuration:
	def __init__(self,app_name):
		self._name = ""
		self._password = ""
		self.config = ConfigParser.RawConfigParser()
		config_file = ".%s" % (app_name)
		self.file = os.path.join( os.path.expanduser("~"),config_file )
		if os.path.exists( self.file ):
			try:
				self.config.read(self.file)
				self._name = self.config.get("identica","name")
				self._password = self.config.get("identica","password")
			except:
				pass #bummer
		
	def name(self,value=None):
		if value!=None:
			self._name = value
		return self._name
		
	def password(self,value=None):
		if value!=None:
			self._password = value
		return self._password
	
	def save(self):
		if not self.config.has_section('identica') :
			self.config.add_section('identica')
		self.config.set('identica', 'name', self._name)
		self.config.set('identica', 'password', self._password)
		f = open(self.file,"w")
		self.config.write(f)
		f.close()
